import { select, arc } from 'd3';

const svg = select("svg");

const height = +svg.attr("height");
const width = +svg.attr("width");
const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;


const g = svg
		.append("g")
      .attr("transform", `translate(${width/2}, ${height/2})`);

const circle = g
		.append("circle")
      .attr("r", height/2)
      .attr("fill", "yellow")
      .attr("stroke", "black");

const eyesG = g
		.append("g")
      .attr("transform", `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
		.append("circle")
      .attr("cx", -eyeSpacing)
      .attr("r", eyeRadius);

const rightEye = eyesG
		.append("circle")
      .attr("cx", eyeSpacing)
      .attr("r", eyeRadius);

const eyebrowsG = eyesG
		.append("g")
      .attr("transform", `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
		.append("rect")
      .attr("x", -eyeSpacing-eyebrowWidth/2)
      .attr("width", eyebrowWidth)
      .attr("height", eyebrowHeight);
leftEyebrow
			.transition().duration(10000).style("transform", "rotate(30deg)");

const rightEyebrow = eyebrowsG
		.append("rect")
      .attr("x", eyeSpacing-eyebrowWidth/2)
      .attr("width", eyebrowWidth)
      .attr("height", eyebrowHeight);
rightEyebrow
			.transition().duration(10000).style("transform", "rotate(-30deg)");

const mouth = g
		.append("path")
      .attr("d", arc() ({
        innerRadius: 120,
        outerRadius: 150,
        startAngle: Math.PI/2,
        endAngle: Math.PI*3/2
      }))